Debian Bug report logs - #560003
cups: Unable to install a printer connected with an USB to parallel adapter

version graph

Package: cups; Maintainer for cups is Debian Printing Team <debian-printing@lists.debian.org>; Source for cups is src:cups.

Reported by: Guillaume Brocker <gbrocker@free.fr>

Date: Tue, 8 Dec 2009 08:57:01 UTC

Severity: important

Found in version cups/1.4.2-4

Fixed in version cups/1.5.0-14

Done: Brian Potkin <claremont102@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#560003; Package cups. (Tue, 08 Dec 2009 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Brocker <gbrocker@free.fr>:
New Bug report received and forwarded. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Tue, 08 Dec 2009 08:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guillaume Brocker <gbrocker@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cups: Unable to install a printer connected with an USB to parallel adapter
Date: Tue, 08 Dec 2009 09:57:27 +0100
Package: cups
Version: 1.4.2-4
Severity: important

After upgrading my system, cups did not print anymore on my Lexmark 3200 
which is linked to my computer by an USB to parallel adapter
"Prolific Technology, Inc. PL2305 Parallel Port".

I removed the printer configuration from CUPS and wanted to install it
again, but CUPS was not able to detect it.

Using "lpinfo -v" did not show my USB linked printer.

I also checked bug #545288 without success.

Thank you.
Guillaume

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cups depends on:
ii  adduser                3.111             add and remove users and groups
ii  bc                     1.06.95-2         The GNU bc arbitrary precision cal
ii  cups-client            1.4.2-4           Common UNIX Printing System(tm) - 
ii  cups-common            1.4.2-4           Common UNIX Printing System(tm) - 
ii  debconf [debconf-2.0]  1.5.28            Debian configuration management sy
ii  ghostscript            8.70~dfsg-2       The GPL Ghostscript PostScript/PDF
ii  libavahi-client3       0.6.25-2          Avahi client library
ii  libavahi-common3       0.6.25-2          Avahi common library
ii  libc6                  2.10.2-2          GNU C Library: Shared libraries
ii  libcups2               1.4.2-4           Common UNIX Printing System(tm) - 
ii  libcupscgi1            1.4.2-4           Common UNIX Printing System(tm) - 
ii  libcupsdriver1         1.4.2-4           Common UNIX Printing System(tm) - 
ii  libcupsimage2          1.4.2-4           Common UNIX Printing System(tm) - 
ii  libcupsmime1           1.4.2-4           Common UNIX Printing System(tm) - 
ii  libcupsppdc1           1.4.2-4           Common UNIX Printing System(tm) - 
ii  libdbus-1-3            1.2.16-2          simple interprocess messaging syst
ii  libgcc1                1:4.4.2-3         GCC support library
ii  libgnutls26            2.8.5-2           the GNU TLS library - runtime libr
ii  libgssapi-krb5-2       1.7dfsg~beta3-1   MIT Kerberos runtime libraries - k
ii  libijs-0.35            0.35-7            IJS raster image transport protoco
ii  libkrb5-3              1.7dfsg~beta3-1   MIT Kerberos runtime libraries
ii  libldap-2.4-2          2.4.17-2.1        OpenLDAP libraries
ii  libpam0g               1.1.0-4           Pluggable Authentication Modules l
ii  libpaper1              1.1.23+nmu1       library for handling paper charact
ii  libpoppler5            0.12.2-2          PDF rendering library
ii  libslp1                1.2.1-7.6         OpenSLP libraries
ii  libstdc++6             4.4.2-3           The GNU Standard C++ Library v3
ii  libusb-0.1-4           2:0.1.12-13       userspace USB programming library
ii  lsb-base               3.2-23            Linux Standard Base 3.2 init scrip
ii  perl-modules           5.10.1-8          Core Perl modules
ii  poppler-utils          0.12.2-2          PDF utilitites (based on libpopple
ii  procps                 1:3.2.8-2         /proc file system utilities
ii  ssl-cert               1.0.25            simple debconf wrapper for OpenSSL
ii  ttf-freefont           20090104-4        Freefont Serif, Sans and Mono True
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages cups recommends:
ii  cups-driver-gutenprint    5.2.4-1        printer drivers for CUPS
ii  foomatic-filters          4.0-20090509-1 OpenPrinting printer support - fil
ii  ghostscript-cups          8.70~dfsg-2    The GPL Ghostscript PostScript/PDF

Versions of packages cups suggests:
pn  cups-bsd                  <none>         (no description available)
pn  cups-pdf                  <none>         (no description available)
pn  cups-ppdc                 <none>         (no description available)
ii  foomatic-db               20090616-1     OpenPrinting printer support - dat
ii  foomatic-db-engine        4.0-20090509-1 OpenPrinting printer support - pro
pn  hplip                     <none>         (no description available)
pn  smbclient                 <none>         (no description available)
ii  udev                      146-5          /dev/ and hotplug management daemo
pn  xpdf-korean | xpdf-japane <none>         (no description available)

-- debconf information:
  cupsys/raw-print: true
  cupsys/backend: ipp, lpd, parallel, scsi, serial, socket, usb, snmp, dnssd




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#560003; Package cups. (Tue, 08 Dec 2009 15:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Brocker <gbrocker@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Tue, 08 Dec 2009 15:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 560003@bugs.debian.org (full text, mbox):

From: Guillaume Brocker <gbrocker@free.fr>
To: 560003@bugs.debian.org
Subject: Found in kern.log
Date: Tue, 08 Dec 2009 16:43:42 +0100
When trying to add a new printer in CUPS using the web interface, the 
following appeared in kern.log :
Dec  8 16:43:44 willy kernel: [1573111.715393] usb[23237]: segfault at 
bffd1000 ip b7e404c3 sp bffcde48 error 4 in
libc-2.10.2.so[b7dcb000+141000]

Hopes it will help.




Information forwarded to debian-bugs-dist@lists.debian.org, pkg-cups-devel@lists.alioth.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#560003; Package cups. (Mon, 21 Nov 2011 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to james@nurealm.net:
Extra info received and forwarded to list. Copy sent to pkg-cups-devel@lists.alioth.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 21 Nov 2011 05:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 560003@bugs.debian.org (full text, mbox):

From: James <james@jasper.nurealm.net>
To: 560003@bugs.debian.org
Subject: Bug#560003
Date: Sun, 20 Nov 2011 21:53:40 -0700
Please review the patches described for Ubuntu Oneiric from Till Kamppeter, till@linuxprinting.org :

 https://bugs.launchpad.net/ubuntu/+source/cups/+bug/564917

 Ubuntu 10.04 does not recognize local printer connected via USB/parallel adapter cable


	Till Kamppeter (till-kamppeter) wrote on 2011-11-10: 	#66

	Can everyone who has still problems with printing from his USB printer
	after booting the new kernel try the new CUPS package in my PPA
	(https://launchpad.net/~till-kamppeter/+archive/ppa)? Simply follow
	the instructions under "Adding this PPA to your system" and then
	update your Oneiric system.



I have Debian Sid, linux-image-3.1.0-1-686-pae version 3.1.1-1 on a ThinkPad T60, and
cups version 1.5.0-12:

 $ lsusb
 Bus 002 Device 002: ID 067b:2305 Prolific Technology, Inc. PL2305 Parallel Port

connected to an HP Laserjet 4 Plus. There is no "/dev/usb" until

 $ sudo modprobe usblp

 $ dmesg
 [39268.349834] usblp0: USB Bidirectional printer dev 2 if 0 alt 1 proto 2 vid 0x067B pid 0x2305
 [39268.349863] usbcore: registered new interface driver usblp

 $ ll /dev/usb/lp0 
 crw-rw---T 1 root lp 180, 0 Nov 20 21:01 /dev/usb/lp0

 $ sudo /usr/lib/cups/backend/usb
 DEBUG: list_devices
 DEBUG: usb_find_busses=5
 DEBUG: usb_find_devices=8

from package printer-driver-foo2zjs, version 20111023dfsg0-1

 $ sudo usb_printerid /dev/usb/lp0 2>&1 | cat -v -
 GET_DEVICE_ID string:
 <there follows a lot of binary, or nothing, but not text, which changes each
 time the command is run>

 $ hp-probe -busb

 HP Linux Imaging and Printing System (ver. 3.11.10)
 Printer Discovery Utility ver. 4.1
 ...
 warning: No devices found on the 'usb' bus. ...



James





Information forwarded to debian-bugs-dist@lists.debian.org, pkg-cups-devel@lists.alioth.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#560003; Package cups. (Wed, 14 Dec 2011 04:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to james@nurealm.net:
Extra info received and forwarded to list. Copy sent to pkg-cups-devel@lists.alioth.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 14 Dec 2011 04:03:04 GMT) Full text and rfc822 format available.

Message #20 received at 560003@bugs.debian.org (full text, mbox):

From: James <james@jasper.nurealm.net>
To: 560003@bugs.debian.org
Subject: Bug#560003
Date: Tue, 13 Dec 2011 20:59:21 -0700
This problem, in my case, is related to the specific Prolific Technology
PL-2305 USB to IEEE-1284 Parallel Port Adapter manufactured with the PL-2305
chip.  I have both a Neostar Technology Co Model: USP-1284 adapter with the
Centronics connector, and a Rosewill RCW-602 with the DB-25F connector.  No
information is provided about versions or revisions for these devices.

The USP-1284 does not work, and the log has:

 kernel: [50858.092105] usb 2-1: new full speed USB device number 6 using uhci_hcd
 kernel: [50858.281158] usb 2-1: New USB device found, idVendor=067b, idProduct=2305
 kernel: [50858.281168] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
 kernel: [50858.281175] usb 2-1: Product: IEEE-1284 Controller
 kernel: [50858.281180] usb 2-1: Manufacturer: Prolific Technology Inc.
 mtp-probe: checking bus 2, device 6: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1"
 mtp-probe: bus: 2, device: 6 was not an MTP device
 udev-configure-printer: add /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0
 udev-configure-printer: parent devpath is /devices/pci0000:00/0000:00:1d.0/usb2/2-1
 udev-configure-printer: Device vendor/product is 067B:2305
 udev-configure-printer: invalid or missing IEEE 1284 Device ID
 

The RCW-602 works, and the log has:

 kernel: [51256.868129] usb 2-1: new full speed USB device number 7 using uhci_hcd
 kernel: [51257.113158] usb 2-1: New USB device found, idVendor=067b, idProduct=2305
 kernel: [51257.113168] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
 kernel: [51257.113174] usb 2-1: Product: IEEE-1284 Controller
 kernel: [51257.113179] usb 2-1: Manufacturer: Prolific Technology Inc.
 mtp-probe: checking bus 2, device 7: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1"
 mtp-probe: bus: 2, device: 7 was not an MTP device
 udev-configure-printer: add /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0
 udev-configure-printer: parent devpath is /devices/pci0000:00/0000:00:1d.0/usb2/2-1
 udev-configure-printer: Device vendor/product is 067B:2305
 udev-configure-printer: MFG:Hewlett-Packard MDL:HP LaserJet 4 Plus SERN:- serial:-
 kernel: [51258.231429] ttyS1: LSR safety check engaged!
 udev-configure-printer: URI matches without serial number: usb://HP/LaserJet%204%20Plus
 udev-configure-printer: No serial number URI matches so using those without
 udev-configure-printer: Queue ipp://localhost:631/printers/HP-LaserJet-4-Plus has matching device URI
 udev-configure-printer: Re-enabled printer ipp://localhost:631/printers/HP-LaserJet-4-Plus


Everything is the same, up until the "invalid or missing IEEE 1284 Device ID".
In either case, though, hp-probe fails to find the usb printer device, and so
the result of hp-probe is of no practical significance.

The command "hp-query -m'HP LaserJet 4 Plus' -a" seems to work, but hp-info
says "No devices found."

I'm not sure what software is providing the actual driver for the PL-2305, but
the module usblp is not loaded and apparently not needed.  There is no device
file /dev/usb/lp0 created, but there is a device

 crw-rw-r-T 1 root lp   189, 134 Dec 13 19:20 /dev/bus/usb/002/007

lpstat -p successfully reports the printer status.


The printer drivers for the HP LaserJet 4 Plus are a separate matter.
cupstestppd complains FAIL for several of the printer drivers.  I don't know
that this actually matters.  Using the Postscript drivers without actual
Postscript capability in the printer makes a mess, though.  The printer
wizards don't seem to always know when there is no Postscript support.


James





Information forwarded to debian-bugs-dist@lists.debian.org, pkg-cups-devel@lists.alioth.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#560003; Package cups. (Wed, 14 Dec 2011 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to james@nurealm.net:
Extra info received and forwarded to list. Copy sent to pkg-cups-devel@lists.alioth.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 14 Dec 2011 06:06:03 GMT) Full text and rfc822 format available.

Message #25 received at 560003@bugs.debian.org (full text, mbox):

From: James <james@jasper.nurealm.net>
To: 560003@bugs.debian.org
Subject: Bug#560003
Date: Tue, 13 Dec 2011 23:03:18 -0700
Ok, sorry, this is awkward.  I plugged-in the USP-1284 again, and now it works
just the same as the RCW-602, also reporting the Device ID.  This is with cups
version 1.5.0-13, released 2011-12-02, and with kernel 3.1.0-1-686-pae.

So, cups seems to be working now, for me, and I may have had a connector
problem or some such for a while with that one adapter.


James





Information forwarded to debian-bugs-dist@lists.debian.org, pkg-cups-devel@lists.alioth.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#560003; Package cups. (Wed, 14 Dec 2011 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to james@nurealm.net:
Extra info received and forwarded to list. Copy sent to pkg-cups-devel@lists.alioth.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 14 Dec 2011 06:42:03 GMT) Full text and rfc822 format available.

Message #30 received at 560003@bugs.debian.org (full text, mbox):

From: James <james@jasper.nurealm.net>
To: 560003@bugs.debian.org
Subject: Bug#560003
Date: Tue, 13 Dec 2011 23:40:13 -0700
And, just in case it's not immediately obvious, the printer has to be
turned-on and ready before plugging-in the USB adapter, or the printer will
not be able to report a Device ID and udev-configure-printer will throw the
"invalid or missing IEEE 1284 Device ID" error message.

Should udev-configure-printer perform polling, to allow the printer to be
turned-on _after_ the USB adapter is plugged?

Reversing the plugging order, adapter first, printer second, fails to provide
a working printer, using lpstat -p.

The need for "ritual", turning the printer on before plugging the USB adapter
or before turning-on the computer, is going to cause user problems and
initial confusion.  It is not "user friendly", nor "idiot-proof".

Some kind of USB adapter polling seems to be needed.


James





Information forwarded to debian-bugs-dist@lists.debian.org, pkg-cups-devel@lists.alioth.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#560003; Package cups. (Wed, 14 Dec 2011 15:33:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to james@nurealm.net:
Extra info received and forwarded to list. Copy sent to pkg-cups-devel@lists.alioth.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 14 Dec 2011 15:33:15 GMT) Full text and rfc822 format available.

Message #35 received at 560003@bugs.debian.org (full text, mbox):

From: James <james@jasper.nurealm.net>
To: 560003@bugs.debian.org
Subject: Bug#560003
Date: Wed, 14 Dec 2011 08:28:58 -0700
And also, kernel module usblp seems to confuse cups, and cups fails to operate
the USB adapter with usblp loaded.  Ok, what?! That's just broken - either a
problem with cups or a problem with the usblp module.

Something should be done there to make cups more robust with the usblp module
loaded, recognizing the proper device or otherwise handling whatever might be
causing that problem.


James





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#560003; Package cups. (Tue, 20 Mar 2012 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Potkin <claremont102@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Tue, 20 Mar 2012 22:27:03 GMT) Full text and rfc822 format available.

Message #40 received at 560003@bugs.debian.org (full text, mbox):

From: Brian Potkin <claremont102@gmail.com>
To: 560003@bugs.debian.org
Cc: Guillaume Brocker <gbrocker@free.fr>
Subject: cups: Unable to install a printer connected with an USB to parallel adapter
Date: Tue, 20 Mar 2012 22:23:36 +0000
tags 560003 + moreinfo
thanks



Hello Guillaume,

The version of CUPS at present in testing includes some recent changes
to get the sort of adapter you have working. See changelog.Debian. Is it
possible for you to try this version and report back?

Regards,

Brian.




Added tag(s) moreinfo. Request was from Brian Potkin <claremont102@gmail.com> to control@bugs.debian.org. (Tue, 20 Mar 2012 22:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#560003; Package cups. (Mon, 26 Mar 2012 12:39:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Brocker <gbrocker@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 26 Mar 2012 12:39:48 GMT) Full text and rfc822 format available.

Message #47 received at 560003@bugs.debian.org (full text, mbox):

From: Guillaume Brocker <gbrocker@free.fr>
To: Brian Potkin <claremont102@gmail.com>
Cc: 560003@bugs.debian.org
Subject: Re: cups: Unable to install a printer connected with an USB to parallel adapter
Date: Mon, 26 Mar 2012 14:36:05 +0200
Hello !

I've just tested the version of CUPS in testing and everything is now 
working perfectly. Thank you.

Regards.

Guillaume

Le 20/03/2012 23:23, Brian Potkin a écrit :
> tags 560003 + moreinfo
> thanks
>
>
>
> Hello Guillaume,
>
> The version of CUPS at present in testing includes some recent changes
> to get the sort of adapter you have working. See changelog.Debian. Is it
> possible for you to try this version and report back?
>
> Regards,
>
> Brian.




Reply sent to Brian Potkin <claremont102@gmail.com>:
You have taken responsibility. (Mon, 20 Aug 2012 11:48:11 GMT) Full text and rfc822 format available.

Notification sent to Guillaume Brocker <gbrocker@free.fr>:
Bug acknowledged by developer. (Mon, 20 Aug 2012 11:48:12 GMT) Full text and rfc822 format available.

Message #52 received at 560003-done@bugs.debian.org (full text, mbox):

From: Brian Potkin <claremont102@gmail.com>
To: 560003-done@bugs.debian.org
Subject: Re: Bug#560003: cups: Unable to install a printer connected with an USB to parallel adapter
Date: Mon, 20 Aug 2012 12:36:05 +0100
fixed 560003 1.5.0-14
thanks



On Mon 26 Mar 2012 at 14:36:05 +0200, Guillaume Brocker wrote:

> Hello !
> 
> I've just tested the version of CUPS in testing and everything is
> now working perfectly. Thank you.

Thanks for getting back to us, Guillaume. We'll close this report now.

Cheers,

Brian.



Marked as fixed in versions cups/1.5.0-14. Request was from Brian Potkin <claremont102@gmail.com> to control@bugs.debian.org. (Mon, 20 Aug 2012 12:03:04 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Brian Potkin <claremont102@gmail.com> to control@bugs.debian.org. (Mon, 20 Aug 2012 12:36:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 07:26:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:10:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.